Get Payment Link details

Retrieve details about a specific Payment Link using its ID returned when the link was created. In the response, you will see the status of the Payment Link.

For more information, see the Payment Links documentation.

Path Parameters
  • id
    Type: string ·
    min length:  
    15
    max length:  
    15
    Pattern: ^pl_[A-Za-z0-9_-]{12}$
    required

    The unique identifier for a Payment Link.

Responses
  • application/json
  • 401

    Unauthorized

  • 404

    Payment Link session not found

Request Example for get/payment-links/{id}
curl 'https://{prefix}.api.sandbox.checkout.com/payment-links/{id}' \
  --header 'Authorization: YOUR_SECRET_TOKEN'
{
  "id": "pl_ELqQJXdXzabU",
  "status": "Active",
  "amount": 100,
  "currency": "GBP",
  "reference": "ORD-123A",
  "description": "Payment for Gold Necklace",
  "created_on": "2021-08-19T20:25:28.725Z",
  "expires_on": "2021-08-20T20:25:28+08:00",
  "customer": {
    "email": "brucewayne@email.com",
    "name": "Bruce Wayne"
  },
  "billing": {
    "address": {
      "address_line1": "123 High St.",
      "city": "London",
      "zip": "SW1A 1AA",
      "country": "GB"
    },
    "phone": {
      "country_code": "+1",
      "number": "415 555 2671"
    }
  },
  "return_url": "https://example.com/success",
  "_links": {
    "self": {
      "href": "https://{prefix}.api.sandbox.checkout.com/payment-links/pl_ELqQJXdXzabU"
    },
    "redirect": {
      "href": "https://pay.sandbox.checkout.com/link/pl_ELqQJXdXzabU"
    }
  }
}